(function(exports) {
    var statisticAPI = {
        /*************总体分析页面接口列表**************/
        //1、顶部各个tab的值
        statisticTotal: function(data){
            return httpRequest.get("/statistics/total", {data: data});
        },
        //微信绑定和设备绑定数据接口
        statisticBindAll: function(data){
            return httpRequest.get("/statistics/index_all", {data: data});
        },
        //健康文章发送数量
        articleAll: function(data){
            return httpRequest.get("/statistics/article_total", {data: data});
        },
        //2、中间折线图接口 
        //增量（咨询量3、随访量4、健康教育5、代预约量27），到达量（绑定微信21、绑定设备20）
        interval: function(data){
            return httpRequest.get("statistics/interval", {data: data});
        },
        intervalTotal: function(data){
            return httpRequest.get("statistics/interval_total", {data: data});
        },
        //3、底部区域数据接口
        lowlevelTotal: function(data){
            return httpRequest.get("statistics/lowlevel_total", {data: data});
        },
        //微信绑定和设备绑定
        lowlevelAll: function(data){
            return httpRequest.get("statistics/lowlevel_all", {data: data});
        },
        //咨询量数据
        lowlevelTotalMesh: function(data){
            return httpRequest.get("statistics/lowlevel_total_mesh", {data: data});
        },
        articleLowlevelTotal: function(data){
            return httpRequest.get("/statistics/article_lowlevel_total", {data: data});
        },
        lowlevelData: function(url, data){
            return httpRequest.get(url, {data: data});
        },
        //获得团队的详情
        getTeamInfo: function(data){
            return httpRequest.get("doctor/admin-teams/teams/info", {data: data});
        },
        //获取居民分析相关数据
        leveltwoIncrementData: function(data){
            return httpRequest.get("/statistics/leveltwo_increment", {data: data});
        },
        statisticsTime:function(data){
        	return httpRequest.get("/statistics/time", {data: data});
        },
        //长处方分析接口
        getPrescriptionTotalHistogram: function(data){
            return httpRequest.get("statistics/getPrescriptionTotalHistogram", {data: data})
        }
    }

    exports.statisticAPI = statisticAPI;
})(window)